Bug 436582 - rtl8185 wireless interface does not work after kernel upgrade
rtl8185 wireless interface does not work after kernel upgrade
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-07 20:39 EST by Wojciech Kazubski
Modified: 2008-03-10 14:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.46.24.3-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 14:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wojciech Kazubski 2008-03-07 20:39:35 EST
Description of problem:
RTL8185 wireless interface (kernel module rtl8180) does not work after upgrade 
to kernel 2.6.24.3-12. The results range from disabled interface to crash on 
boot. Ethernet interface card with RTL8139 is also affected.

Version-Release number of selected component (if applicable):
kernel-2.6.24.3-12.i686
The CPU is Athlon XP 2400


How reproducible:
Always

Steps to Reproduce:
1. have a machine with RTL8185 wireless card (main interface, working as 
wlan0) and RTL8139 ethernet card (as eth0)
2. update to kernel 2.46.24.3-12 and reboot
3. wlan0 does not work after reboot. In /etc/sysconfig/network-scripts: 
ifcfg-wlan0 and ifcfg-eth0 backed up as ifcfg-wlan0.bak and ifcfg-eth0.bak
4. Rename the above files back to ifcfg-wlan0 and ifcfg-eth0 and reboot the 
system.
5. Machine hangs while initializing wlan0, Caps Lock and Scroll Lock LEDs on 
keyboard blinking. 
  
Actual results:
No wireless connectivity at best

Expected results:
Wireless interface working as with previous kernels

Additional info:
Comment 1 Jon Stanley 2008-03-07 20:56:47 EST
Lots of wireless changes in later builds.  Can you try
http://koji.fedoraproject.org/koji/buildinfo?buildID=42024 and see how it goes?
Comment 2 Wojciech Kazubski 2008-03-08 19:37:38 EST
It seems that after upgrade to kernel 2.46.24.3-22 things are much better. 
Steps 1-4 are as above, but after renaming ifcfg files and rebooting, all 
interfaces are working as expected. Thanks for the help.

Note You need to log in before you can comment on or make changes to this bug.